Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665852 - dev-db/mysql-super-smack: Validate DEPEND on virtual/mysql
Summary: dev-db/mysql-super-smack: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:28 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:28:51 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2018-09-17 00:22:51 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b01922308ead1a7271b7a606747cb1eb43393a8

commit 9b01922308ead1a7271b7a606747cb1eb43393a8
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2018-09-17 00:22:00 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2018-09-17 00:22:42 +0000

    dev-db/mysql-super-smack: Revbump for EAPI and dependency
    
    Bug: https://bugs.gentoo.org/665852
    Package-Manager: Portage-2.3.49, Repoman-2.3.10

 .../files/mysql-super-smack-1.3.gcc4.3.patch       |  4 +-
 .../mysql-super-smack-1.3-r4.ebuild                | 66 ++++++++++++++++++++++
 2 files changed, 68 insertions(+), 2 deletions(-)
Comment 2 Larry the Git Cow gentoo-dev 2019-02-08 17:34:44 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40b1bc6d199f24942b5fc0ec527be8504d283bd9

commit 40b1bc6d199f24942b5fc0ec527be8504d283bd9
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-08 17:34:23 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-08 17:34:23 +0000

    dev-db/mysql-super-smack: Mark stable for amd64 and x86; drop old
    
    Closes: https://bugs.gentoo.org/665852
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 .../mysql-super-smack-1.3-r3.ebuild                | 58 ----------------------
 .../mysql-super-smack-1.3-r4.ebuild                |  4 +-
 2 files changed, 2 insertions(+), 60 deletions(-)